Subject: [Tools-discuss] Re: Tiny URLs

From: Frank Ellermann <[email-masked]>
Date: Mon, 09 Oct 2006 04:22:40 +0200

Henrik Levkowetz wrote:

> I actually shortened it a little bit further just after
> I sent off the previous :

> http://tools.ietf.org/rfcdiff?url2=http://www.inter-locale.com/ID/draft-ietf-ltru-4646bis-01.txt&difftype=--hwdiff

Today I played again with it using the worst case input,
an LTRU draft with about 870 pages.  While that worked
without problems my browser managed to crash my box with
the resulting 2 MB html diff.

No issue with an abdiff or hwdiff.  After that I tested
two other tricks:  Removing http://tools.ietf.org/id/
for "local" (your POV) drafts ran into problems on your
side, you probably got an error log somewhere.

The second test was to remove ...-02.txt from a "local"
I-D draft-carpenter-rescind-3683-02.txt (as an example):

<http://tools.ietf.org/id/draft-carpenter-rescind-3683>
is okay, this automatically finds the last ...-02.txt

But it failed as rfcdiff?url2= value.  This could be a
nice feature if open lists or WGs discuss "official"
I-Ds, and need a diff between "this" (the last) and the
prior version.  The diff-URL (e.g. a tiny URL) would be
constant for "official" (= "local") I-Ds.

Just an idea, maybe it's bogus, for LTRU we often talk
about "private" versions (editor's copy + predecessor).

I've added a simple url2-form below, maybe you can use
it on the rfcdiff page.

Frank
rfcdiff url2-form

html
abdiff
chbars
hwdiff

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss